Skip to Content
inclamoDocs

Get messages

GET
/api/v1/accounts/{account_id}/conversations/{conversation_id}/messages

List all messages of a conversation

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

conversation_id*integer

The numeric ID of the conversation

Query Parameters

after?integer

Fetch messages after the message with this ID. Returns up to 100 messages in ascending order.

before?integer

Fetch messages before the message with this ID. Returns up to 20 messages in ascending order.

Response Body

Success

application/json
  1. response
meta?
payload?array<>

Array of messages

Example Request
curl -X GET 'https://helpdesk.inclamo.com/api/v1/accounts/0/conversations/0/messages'
Example Response
{  "meta": {    "labels": [      "string"    ],    "additional_attributes": {},    "contact": {      "payload": [        {          "additional_attributes": {},          "availability_status": "string",          "email": "string",          "id": 0,          "name": "string",          "phone_number": "string",          "blocked": true,          "identifier": "string",          "thumbnail": "string",          "custom_attributes": {},          "last_activity_at": 0,          "created_at": 0,          "contact_inboxes": [            {              "source_id": "string",              "inbox": {                "id": 0,                "avatar_url": "string",                "channel_id": 0,                "name": "string",                "channel_type": "string",                "provider": "string"              }            }          ]        }      ]    },    "assignee": {      "id": 0,      "account_id": 0,      "availability_status": "online",      "auto_offline": true,      "confirmed": true,      "email": "string",      "available_name": "string",      "name": "string",      "role": "agent",      "thumbnail": "string",      "custom_role_id": 0    },    "agent_last_seen_at": "2019-08-24T14:15:22Z",    "assignee_last_seen_at": "2019-08-24T14:15:22Z"  },  "payload": [    {      "id": 0,      "content": "string",      "account_id": 0,      "inbox_id": 0,      "conversation_id": 0,      "message_type": 0,      "created_at": 0,      "updated_at": 0,      "private": true,      "status": "sent",      "source_id": "string",      "content_type": "text",      "content_attributes": {},      "sender_type": "Contact",      "sender_id": 0,      "external_source_ids": {},      "additional_attributes": {},      "processed_message_content": "string",      "sentiment": {},      "conversation": {},      "attachment": {},      "sender": {}    }  ]}